配送ルール一覧取得
GET
/delivery_rules
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_rules?limit=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_rules?limit=10&page=1' \ --header 'Authorization: Bearer <token>'配送ルール情報の一覧を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
page
integer
ページ
name
string
配送ルール名で絞り込み(完全一致)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
DeliveryRuleResponseobject
id
配送ルールID
string format: uuid
name
配送ルール名
string
Examples
Exampledefault
[ { "id": "44444444-4444-4444-4444-444444444444", "name": "通常配送" }, { "id": "44444444-4444-4444-4444-555555555555", "name": "冷蔵配送" }]Headers
Section titled “Headers”Link
string
<前ページURI>; rel="prev", <次ページURI>; rel="next"
- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[limit]は100以下の数字を指定してください。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[page]は1以上の数字を指定してください。", "status": 400}